import matplotlib.pyplot as plt

#coordonnées de l'objet
#pas de temps (en secondes)
delta_t=0.04#a_indiquer
#Recopier ici les valeurs des positions des points obtenus dans l'atelier scientifique
x=[];
y=[];


#calcul du vecteur vitesse
if len(x)!=len(y):
    print("problème de saisie, il n'y a pas le même nombre de points en x et en y !")

#Calcul du vecteur vitesse
v_x,v_y=[],[] #on crée 2 listes vides
for i in range(1,len(x)-1): #on va remplir les listes au fur et à mesure
    v_x.append((x[i]-x[i-1])/delta_t)#à remplir
    v_y.append()#à remplir


#Calcul de la variation de vitesse
a_x,a_y=[],[] #on crée 2 listes vides
for i in range(1,len(v_x)-1): #on va remplir les listes au fur et à mesure
    a_x.append()#à remplir
    a_y.append((v_y[i]-v_y[i-1])/delta_t)#à remplir


### Tracé des vecteurs normalisés
plt.rcParams['axes.formatter.use_locale'] = True
plt.figure(1, figsize=(5, 5))
vitesse=plt.quiver(x[1:-1],y[1:-1],v_x,v_y,color="green",width=0.003)
plt.quiverkey(vitesse, X=0.3, Y=1.1, U=10,label='Vitesse', labelpos='E')
acceleration=plt.quiver(x[1:-1],y[1:-1],a_x,a_y,color="red",width=0.003)
plt.quiverkey(acceleration, X=0.3, Y=1.1, U=10,label='acceleration', labelpos='E')
plt.plot(x,y,"r.")
plt.legend(loc='upper right')
plt.xlabel("x (m)")
plt.ylabel("y (m)")
plt.title("Trajectoire de l'objet")
plt.show()
